## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges
Class ASAPrivilegeStateLookup

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges.ASAPrivilegeStateLookup

All Implemented Interfaces:
  IPrivilegeStateLookup

    public class ASAPrivilegeStateLookup

extends java.lang.Object
implements IPrivilegeStateLookup

Privilege state look up for ASA privielges page

Author:
  Idull

Field Summary
`static int[][]` `STATIC_STATE_TRANSITION_ARRAY`

Constructor Summary
`ASAPrivilegeStateLookup()`

Method Summary
`Privilege[]` `getInheritedPrivileges(java.util.List authids, AuthorizationIdentifier authid, SQLObject sqlObj, java.lang.String action)` Returns the inherited privileges
`IPrivilegeState` `getPrivilegeState(java.util.List authids, AuthorizationIdentifier authid, SQLObject sqlObj, java.lang.String action)` Returns the privileges state of the given authorization identifier (user, group or role) for the given SQL object with action type specified
`IPrivilegeState[]` `getReachableStates(IPrivilegeState initialState, AuthorizationIdentifier authid)` Returns the reachable states of the given state
`boolean` `hasInheritedPrivilege(java.util.List authids, AuthorizationIdentifier authid, SQLObject sqlObj, java.lang.String action)` Checks if the given authorization identifier (user, group or role) has inherited privilge for the given SQL object with action type specified

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATIC_STATE_TRANSITION_ARRAY

    public static final int[][] STATIC_STATE_TRANSITION_ARRAY

Constructor Detail

### ASAPrivilegeStateLookup

    public ASAPrivilegeStateLookup()

Method Detail

### getReachableStates

    public IPrivilegeState[] getReachableStates(IPrivilegeState initialState,
                                                AuthorizationIdentifier authid)

  Description copied from interface: `IPrivilegeStateLookup`
  Returns the reachable states of the given state

  Specified by:
    `getReachableStates` in interface `IPrivilegeStateLookup`
  Returns:

### getPrivilegeState

    public IPrivilegeState getPrivilegeState(java.util.List authids,
                                             AuthorizationIdentifier authid,
                                             SQLObject sqlObj,
                                             java.lang.String action)

  Description copied from interface: `IPrivilegeStateLookup`
  Returns the privileges state of the given authorization identifier (user, group or role) for the given SQL object with action type specified

  Specified by:
    `getPrivilegeState` in interface `IPrivilegeStateLookup`
  Parameters:
    `authids` - all the authorization identifiers
    `authid` - the authorization identifier
    `sqlObj` - SQL object
    `action` - action type
  Returns:

### hasInheritedPrivilege

    public boolean hasInheritedPrivilege(java.util.List authids,
                                         AuthorizationIdentifier authid,
                                         SQLObject sqlObj,
                                         java.lang.String action)

  Description copied from interface: `IPrivilegeStateLookup`
  Checks if the given authorization identifier (user, group or role) has inherited privilge for the given SQL object with action type specified

  Specified by:
    `hasInheritedPrivilege` in interface `IPrivilegeStateLookup`
  Returns:

### getInheritedPrivileges

    public Privilege[] getInheritedPrivileges(java.util.List authids,
                                              AuthorizationIdentifier authid,
                                              SQLObject sqlObj,
                                              java.lang.String action)

  Description copied from interface: `IPrivilegeStateLookup`
  Returns the inherited privileges

  Specified by:
    `getInheritedPrivileges` in interface `IPrivilegeStateLookup`
  Returns: